#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/octavia-tempest-plugin
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_configure:
	echo "Do nothing..."

override_dh_auto_clean:
	python3 setup.py clean
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	XDG_CACHE_DIR=$(CURDIR) HOME=$(CURDIR) CGO_ENABLED=0 GOOS=linux go build -a -ldflags '-s -w -extldflags -static' -o  $(CURDIR)/octavia_tempest_plugin/contrib/test_server/test_server.bin $(CURDIR)/octavia_tempest_plugin/contrib/test_server/test_server.go
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	pkgos-dh_auto_test --no-py2
#endif

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
